Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl
Class RuntimeDataServiceImpl

    java.lang.Object
      org.jbpm.kie.services.impl.RuntimeDataServiceImpl

All Implemented Interfaces:
  RuntimeDataService

    @ApplicationScoped
    public class RuntimeDataServiceImpl

extends Object
implements RuntimeDataService

Constructor Summary
`RuntimeDataServiceImpl()`

Method Summary
`ProcessAssetDesc` | `getProcessById(String processId)`
`Collection<ProcessAssetDesc>` | `getProcesses()`
`Collection<ProcessAssetDesc>` | `getProcessesByDeploymentId(String deploymentId)`
`ProcessAssetDesc` | `getProcessesByDeploymentIdProcessId(String deploymentId, String processId)`
`Collection<ProcessAssetDesc>` | `getProcessesByFilter(String filter)`
`Collection<String>` | `getProcessIds(String deploymentId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceActiveNodes(String deploymentId, long processId)` (difference between this and getProcessInstanceHistory(..) methods?)
`ProcessInstanceDesc` | `getProcessInstanceById(long processId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceCompletedNodes(String deploymentId, long processId)` (difference between this and getProcessInstanceHistory(..) methods?)
`Collection<NodeInstanceDesc>` | `getProcessInstanceFullHistory(String deploymentId, long processId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceHistory(String deploymentId, long processId)` (difference between this and getProcessInstanceActiveNodes(..)?)
`Collection<NodeInstanceDesc>` | `getProcessInstanceHistory(String deploymentId, long processId, boolean completed)` (difference between this and getProcessInstanceActiveNodes(..)
`Collection<ProcessInstanceDesc>` | `getProcessInstances()`
`Collection<ProcessInstanceDesc>` | `getProcessInstances(List<Integer> states, String initiator)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByDeploymentId(String deploymentId, List<Integer> states)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByProcessDefinition(String processDefId)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByProcessId(List<Integer> states, String processId, String initiator)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByProcessName(List<Integer> states, String processName, String initiator)`
`Collection<VariableStateDesc>` | `getVariableHistory(long processInstanceId, String variableId)`
`Collection<VariableStateDesc>` | `getVariablesCurrentState(long processInstanceId)`
`void` | `indexOnDeploy(DeploymentEvent event)`
`void` | `removeOnUnDeploy(DeploymentEvent event)`
`void` | `setCommandService(TransactionalCommandService commandService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeDataServiceImpl

    public RuntimeDataServiceImpl()

Method Detail

### setCommandService

    public void setCommandService(TransactionalCommandService commandService)

### indexOnDeploy

    public void indexOnDeploy(@Observes
                              DeploymentEvent event)

### removeOnUnDeploy

    public void removeOnUnDeploy(@Observes
                                 DeploymentEvent event)

### getProcessesByDeploymentId

    public Collection<ProcessAssetDesc> getProcessesByDeploymentId(String deploymentId)

  Specified by:
    `getProcessesByDeploymentId` in interface `RuntimeDataService`
  Parameters:
    `deploymentId` - The deployment id of the runtime.
  Returns:
    A list of `ProcessAssetDesc` instances representing processes that match the given criteria (deploymentId)

### getProcessesByDeploymentIdProcessId

    public ProcessAssetDesc getProcessesByDeploymentIdProcessId(String deploymentId,
                                                                String processId)

  Specified by:
    `getProcessesByDeploymentIdProcessId` in interface `RuntimeDataService`
  Parameters:
    `deploymentId` - The id of the deployment (runtime)
    `processId` - The id of the process
  Returns:
    A `ProcessAssetDesc` instance, representing the `Process` that is present in the specified deployment with the specified (process) id.

### getProcessesByFilter

    public Collection<ProcessAssetDesc> getProcessesByFilter(String filter)

  Specified by:
    `getProcessesByFilter` in interface `RuntimeDataService`
  Parameters:
    `filter` - A regular expression.
  Returns:
    A list of `ProcessAssetDesc` instances whose name or id matches the given regular expression.

### getProcessById

    public ProcessAssetDesc getProcessById(String processId)

  Specified by:
    `getProcessById` in interface `RuntimeDataService`
  Parameters:
    `processId` - The id of the process
  Returns:
    A `ProcessAssetDesc` instance, representing the `Process` with the specified (process) id.

### getProcesses

    public Collection<ProcessAssetDesc> getProcesses()

  Specified by:
    `getProcesses` in interface `RuntimeDataService`
  Returns:
    A list of all available processes, in the form a of a list of `ProcessAssetDesc` instances.

### getProcessIds

    public Collection<String> getProcessIds(String deploymentId)

  Specified by:
    `getProcessIds` in interface `RuntimeDataService`
  Parameters:
    `deploymentId` - The deployment id of the runtime.
  Returns:
    A list of all available process id's for a particular deployment/runtime.

### getProcessInstances

    public Collection<ProcessInstanceDesc> getProcessInstances()

  Specified by:
    `getProcessInstances` in interface `RuntimeDataService`
  Returns:
    A list of `ProcessInstanceDesc` instances representing the available process instances.

### getProcessInstances

    public Collection<ProcessInstanceDesc> getProcessInstances(List<Integer> states,
                                                               String initiator)

  Specified by:
    `getProcessInstances` in interface `RuntimeDataService`
  Parameters:
    `states` - A list of possible state (int) values that the `ProcessInstance` can have.
    `initiator` - The initiator of the `ProcessInstance`.
  Returns:
    A list of `ProcessInstanceDesc` instances representing the process instances that match the given criteria (states and inititator).

### getProcessInstancesByDeploymentId

    public Collection<ProcessInstanceDesc> getProcessInstancesByDeploymentId(String deploymentId,
                                                                             List<Integer> states)

  Specified by:
    `getProcessInstancesByDeploymentId` in interface `RuntimeDataService`
  Parameters:
    `deploymentId` - The deployment id of the runtime.
    `states` - A list of possible state (int) values that the `ProcessInstance` can have.
  Returns:
    A list of `ProcessInstanceDesc` instances representing the process instances that match the given criteria (deploymentId and states).

### getProcessInstancesByProcessDefinition

    public Collection<ProcessInstanceDesc> getProcessInstancesByProcessDefinition(String processDefId)

  Specified by:
    `getProcessInstancesByProcessDefinition` in interface `RuntimeDataService`
  Parameters:
    `processDefId` - The id of the process (definition)
  Returns:
    A list of `ProcessInstanceDesc` instances representing the process instances that match the given criteria (deploymentId and states).

### getProcessInstanceById

    public ProcessInstanceDesc getProcessInstanceById(long processId)

  Specified by:
    `getProcessInstanceById` in interface `RuntimeDataService`
  Parameters:
    `processId` - The id of the process (definition) used to start the `ProcessInstance`.
  Returns:
    Process instance information, in the form of a `ProcessInstanceDesc` instance.

### getProcessInstancesByProcessId

    public Collection<ProcessInstanceDesc> getProcessInstancesByProcessId(List<Integer> states,
                                                                          String processId,
                                                                          String initiator)

  Specified by:
    `getProcessInstancesByProcessId` in interface `RuntimeDataService`
  Parameters:
    `states` - A list of possible state (int) values that the `ProcessInstance` can have.
    `processId` - The id of the `Process` (definition) used when starting the process instance.
    `initiator` - The initiator of the `ProcessInstance`.
  Returns:
    A list of `ProcessInstanceDesc` instances representing the process instances that match the given criteria (states, processId, and inititator).

### getProcessInstancesByProcessName

    public Collection<ProcessInstanceDesc> getProcessInstancesByProcessName(List<Integer> states,
                                                                            String processName,
                                                                            String initiator)

  Specified by:
    `getProcessInstancesByProcessName` in interface `RuntimeDataService`
  Parameters:
    `states` - A list of possible state (int) values that the `ProcessInstance` can have.
    `processName` - The name (not id!) of the `Process` (definition) used when starting the process instance.
    `initiator` - The initiator of the `ProcessInstance`.
  Returns:
    A list of `ProcessInstanceDesc` instances representing the process instances that match the given criteria (states, processName and inititator).

### getProcessInstanceHistory

    public Collection<NodeInstanceDesc> getProcessInstanceHistory(String deploymentId,
                                                                  long processId)

  Description copied from interface: `RuntimeDataService`
  (difference between this and getProcessInstanceActiveNodes(..)?)

  Specified by:
    `getProcessInstanceHistory` in interface `RuntimeDataService`
  Returns:

### getProcessInstanceHistory

    public Collection<NodeInstanceDesc> getProcessInstanceHistory(String deploymentId,
                                                                  long processId,
                                                                  boolean completed)

  Description copied from interface: `RuntimeDataService`
  (difference between this and getProcessInstanceActiveNodes(..)/getProcessInstanceCompletedNodes(..) ?)

  Specified by:
    `getProcessInstanceHistory` in interface `RuntimeDataService`
  Returns:

### getProcessInstanceFullHistory

    public Collection<NodeInstanceDesc> getProcessInstanceFullHistory(String deploymentId,
                                                                      long processId)

  Specified by:
    `getProcessInstanceFullHistory` in interface `RuntimeDataService`
  Parameters:
    `deploymentId` - The id of the deployment (runtime).
    `processId` - The id of the process used to start the process instance.
  Returns:
    The `NodeInstance` information, in the form of a list of `NodeInstanceDesc` instances, that comes from a process instance that matches the given criteria (deploymentId, processId).

### getProcessInstanceActiveNodes

    public Collection<NodeInstanceDesc> getProcessInstanceActiveNodes(String deploymentId,
                                                                      long processId)

  Description copied from interface: `RuntimeDataService`
  (difference between this and getProcessInstanceHistory(..) methods?)

  Specified by:
    `getProcessInstanceActiveNodes` in interface `RuntimeDataService`
  Returns:

### getProcessInstanceCompletedNodes

    public Collection<NodeInstanceDesc> getProcessInstanceCompletedNodes(String deploymentId,
                                                                         long processId)

  Description copied from interface: `RuntimeDataService`
  (difference between this and getProcessInstanceHistory(..) methods?)

  Specified by:
    `getProcessInstanceCompletedNodes` in interface `RuntimeDataService`
  Returns:

### getVariablesCurrentState

    public Collection<VariableStateDesc> getVariablesCurrentState(long processInstanceId)

  Specified by:
    `getVariablesCurrentState` in interface `RuntimeDataService`
  Parameters:
    `processInstanceId` - The process instance id.
  Returns:
    Information about variables in the specified process instance, represented by a list of `VariableStateDesc` instances.

### getVariableHistory

    public Collection<VariableStateDesc> getVariableHistory(long processInstanceId,
                                                            String variableId)

  Specified by:
    `getVariableHistory` in interface `RuntimeDataService`
  Parameters:
    `processInstanceId` - The process instance id.
    `variableId` - The id of the variable
  Returns:
    Information about the variable with the given id in the specified process instance, represented by a list of `VariableStateDesc` instances.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.